aboutsummaryrefslogtreecommitdiff
path: root/scripts/test-e2e.sh
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <mssola@mssola.com>2026-07-09 22:07:47 +0200
committerMiquel Sabaté Solà <mssola@mssola.com>2026-07-09 22:14:22 +0200
commit6f58e4ab8d90166cac4e4da269a77c5134f12f1e (patch)
tree207e1f418787df63c015178b1379b0e466b54e5c /scripts/test-e2e.sh
parent0664f0bad653ca750d320e513f685ab0c852f359 (diff)
downloadtools.nes-6f58e4ab8d90166cac4e4da269a77c5134f12f1e.tar.gz
tools.nes-6f58e4ab8d90166cac4e4da269a77c5134f12f1e.zip
Add support for the asan:fixed-segments comment
This magic comment allows for the definition of segments that are fixed and for which references are always safe. This goes in tandem with the asan:safe comment, which can then be used more sporadically. Signed-off-by: Miquel Sabaté Solà <mssola@mssola.com>
Diffstat (limited to 'scripts/test-e2e.sh')
-rwxr-xr-xscripts/test-e2e.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/test-e2e.sh b/scripts/test-e2e.sh
index 43572b0..2a72d38 100755
--- a/scripts/test-e2e.sh
+++ b/scripts/test-e2e.sh
@@ -133,6 +133,13 @@ exit_code=$((exit_code + $?))
diff tests/out/unrom.nes tests/expected/unrom.nes
exit_code=$((exit_code + $?))
+echo "test: custom => fixed-segments.nes"
+./target/debug/nasm -c unrom tests/fixed-segments.s -o tests/out/fixed-segments.nes 2>tests/out/fixed-segments.txt
+diff tests/out/fixed-segments.txt tests/expected/fixed-segments.txt
+exit_code=$((exit_code + $?))
+diff tests/out/fixed-segments.nes tests/expected/fixed-segments.nes
+exit_code=$((exit_code + $?))
+
##
# code.nes